package net.wanji.databus.po;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hfx
 * @date 2023/1/10 16:36
 * @desc CrossDataRealtimePO
 */
@Data
@TableName("t_cross_turn_data_realtime")
@ApiModel(value = "CrossTurnDataRealtimePO", description = "路口转向实时数据")
public class CrossTurnDataRealtimePO {
    /** 转向ID（路口ID_驶入方向_转向类型） */
    @ApiModelProperty(name = "转向ID（路口ID_驶入方向_转向类型）",notes = "")
    private String id ;
    /** 转向类型：u掉头；l左转；s直行；r右转； */
    @ApiModelProperty(name = "转向类型：u掉头；l左转；s直行；r右转；",notes = "")
    private String turnType ;
    /** 驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer inDir ;
    /** 驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer outDir ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 交通流量（辆） */
    @ApiModelProperty(name = "交通流量（辆）",notes = "")
    private Integer flow ;
    @ApiModelProperty(name = "交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5未知",notes = "")
    private Integer status;
    @ApiModelProperty(name = "交通指数",notes = "")
    private Double trafficIndex;
    /** 平均速度（km/h） */
    @ApiModelProperty(name = "平均速度（km/h）",notes = "")
    private Double speed ;
    /** 驶入速度（km/h） */
    @ApiModelProperty(name = "驶入速度（km/h）",notes = "")
    private Double inSpeed ;
    /** 驶出速度（km/h） */
    @ApiModelProperty(name = "驶出速度（km/h）",notes = "")
    private Double outSpeed ;
    /** 排队长度（米） */
    @ApiModelProperty(name = "排队长度（米）",notes = "")
    private Double queueLength ;
    /** 停车次数（次） */
    @ApiModelProperty(name = "停车次数（次）",notes = "")
    private Double stopTimes ;
    /** 延误时间（秒） */
    @ApiModelProperty(name = "延误时间（秒）",notes = "")
    private Integer delayTime ;
    /** 饱和度 */
    @ApiModelProperty(name = "饱和度",notes = "")
    private Double sturation ;
    /** 车头间距（米） */
    @ApiModelProperty(name = "车头间距（米）",notes = "")
    private Double vehheadDist ;
    /** 车头时距（秒） */
    @ApiModelProperty(name = "车头时距（秒）",notes = "")
    private Double vehheadTime ;
    /** 可信度：0~1 */
    @ApiModelProperty(name = "可信度：0~1",notes = "")
    private Double quality ;

    @ApiModelProperty(name = "不停车率",notes = "")
    private Double noStopRate;
    @ApiModelProperty(name = "一次停车率",notes = "")
    private Double oneStopRate;
    @ApiModelProperty(name = "二次停车率",notes = "")
    private Double twoStopRate;
    @ApiModelProperty(name = "三次停车率",notes = "")
    private Double threeStopRate;

    /** 采集时间（10位时间戳） */
    @ApiModelProperty(name = "采集时间（10位时间戳）",notes = "")
    private Integer batchTime ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
